fix chboot, add partition options
[automated-distro-installer] / arch-init-remote
index 13f0bcd41d2f1b1d283d873ba4a48648a5667ae5..5bcfc3b7bff8153339bb8286d3e5eb6de94c919c 100755 (executable)
@@ -1,4 +1,26 @@
 #!/bin/bash -l
+# Copyright (C) 2016 Ian Kelling
+
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
+usage() {
+    cat <<EOF
+Usage: ${0##*/} HOSTNAME
+EOF
+    exit $1
+}
 
 set -x
 
@@ -7,7 +29,7 @@ trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 
 if [[ ! $1 ]]; then
     echo "error: expect a hostname in \$1 "
-    exit 1
+    usage 1
 fi
 host=$1
 
@@ -30,9 +52,9 @@ sudo scp -r /a/bin/devbyid /q/root/luks /q/root/shadow root@$host:
 # and extract it from the shadow file.
 ssh root@$host bash -x /a/bin/fai/arch-init $host $mirror
 
-#ssh root@$host reboot now || [[ $? == 255 ]]
+ssh root@$host reboot || [[ $? == 255 ]]
 
-# next up is:
+# next up is sync data, then
 # ssh $host /a/bin/distro-begin
 
 if [[ -e  /var/cache/pacman/pkg ]]; then